Xalan-Java: Class BoolStack

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath.xml
Class BoolStack

    java.lang.Object
      |
      +--org.apache.xalan.xpath.xml.BoolStack

public final class BoolStack
extends java.lang.Object

**For internal use only** Simple stack for boolean values.

Constructor Summary
`BoolStack()` **For internal use only** Default constructor.
`BoolStack(int size)` **For internal use only** Construct a IntVector, using the given block size.

Method Summary
`boolean` | `isEmpty()` **For internal use only** Tests if this stack is empty.
`boolean` | `peek()` **For internal use only** Looks at the object at the top of this stack without removing it from the stack.
`boolean` | `pop()` **For internal use only** Removes the object at the top of this stack and returns that object as the value of this function.
`boolean` | `push(boolean val)` **For internal use only** Pushes an item onto the top of this stack.
`int` | `size()` **For internal use only** Get the length of the list.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoolStack

    public BoolStack()

  **For internal use only** Default constructor. Note that the default block size is very small, for small lists.

### BoolStack

    public BoolStack(int size)

  **For internal use only** Construct a IntVector, using the given block size.

Method Detail

### size

    public int size()

  **For internal use only** Get the length of the list.

### push

    public boolean push(boolean val)

  **For internal use only** Pushes an item onto the top of this stack.
  Parameters:
    `i` - the int to be pushed onto this stack.
  Returns:
    the `item` argument.

### pop

    public boolean pop()

  **For internal use only** Removes the object at the top of this stack and returns that object as the value of this function.
  Returns:
    The object at the top of this stack.
  Throws:
    java.util.EmptyStackException - if this stack is empty.

### peek

    public boolean peek()

  **For internal use only** Looks at the object at the top of this stack without removing it from the stack.
  Returns:
    the object at the top of this stack.
  Throws:
    java.util.EmptyStackException - if this stack is empty.

### isEmpty

    public boolean isEmpty()

  **For internal use only** Tests if this stack is empty.
  Returns:
    `true` if this stack is empty; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.